Board index FlightGear Support Compiling

Compile error in Compositor.cxx, "resized" function.

Building FlightGear from source, and in the need for help?

Compile error in Compositor.cxx, "resized" function.

Postby chriscalef » Wed Feb 20, 2019 4:09 am

Hello,

I just ran download_and_compile.sh on an Ubuntu system, and everything was fine except for the following error down in SimGear:

Code: Select all
(...)/simgear/scene/viewer/Compositor.cxx: In member function ‘void simgear::compositor::Compositor::resized()’:
(...)/simgear/scene/viewer/Compositor.cxx:181:17: error: ‘class osg::Camera’ has no member named ‘resize’
         camera->resize(pass->viewport_width_scale  * _viewport->width(),


Looking at the function, it appears to only affect Render To Texture cameras, which I don't think I need right now, and being lazy and in a hurry I just commented out the contents of the function and got on with my life... but thought I'd mention it here.

Does anyone else see this error, and have a better solution for it?

Cheers,
Chris
chriscalef
 
Posts: 236
Joined: Wed Feb 20, 2013 9:28 pm

Re: Compile error in Compositor.cxx, "resized" function.

Postby Thorsten » Wed Feb 20, 2019 6:10 am

It's currently being discussed at the mailing list.
Thorsten
 
Posts: 10250
Joined: Mon Nov 02, 2009 8:33 am

Re: Compile error in Compositor.cxx, "resized" function.

Postby Hooray » Thu Feb 21, 2019 2:41 pm

This got committed just a couple of days ago, and the stated goal was to get wider build coverage to iron any remaining issues.
The FlightGear side of this is disable by default, whereas the simgear components do indeed get built.
So, you should expect more of these issues in the next couple of weeks, depending on how much feedback people provide, and if they manage to use the proper channels (devel list and issue tracker).

chriscalef wrote:Looking at the function, it appears to only affect Render To Texture cameras, which I don't think I need right now, and being lazy and in a hurry I just commented out the contents of the function and got on with my life... but thought I'd mention it here.


I was actually considering to send you a heads-up, because I believe this work could be of interest to you given your previous work in related areas (e.g. the skybox server).

I'd suggest to take a look at the wiki article to provide some background information: http://wiki.flightgear.org/Compositor
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11292
Joined: Tue Mar 25, 2008 8:40 am

Re: Compile error in Compositor.cxx, "resized" function.

Postby Icecode GL » Thu Feb 21, 2019 3:22 pm

Apparently some Ubuntus still package OpenSceneGraph 3.2. A quick search revealed that some Ubuntus also offer OSG 3.4 (https://packages.ubuntu.com/search?keywords=openscenegraph). If you have one of those Ubuntus, running a quick apt-get install libopenscenegraph-3.4-dev should fix it.
Icecode GL
 
Posts: 478
Joined: Thu Aug 12, 2010 12:17 pm
Location: Spain
Callsign: icecode
Version: GIT
OS: Arch Linux

Re: Compile error in Compositor.cxx, "resized" function.

Postby Hooray » Thu Feb 21, 2019 3:28 pm

May I suggest to raise the required OSG version in CMakeLists accordingly, at least when building with compositor enabled - that should be safe to do, no ?
If in doubt, discuss this with others first obviously ...
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11292
Joined: Tue Mar 25, 2008 8:40 am

Re: Compile error in Compositor.cxx, "resized" function.

Postby chriscalef » Fri Feb 22, 2019 1:39 am

Hm, at the risk of digressing into sysadmin chores... how would I go about convincing my Ubuntu that there should be an OSG 3.4 version? I have done apt-get update and upgrade, and my attempt to do "apt-get install libopenscenegraph-3.4-dev" failed with "unable to locate package".

I tried reinstalling libopenscenegraph-dev, the only package I could find, and it reports "libopenscenegraph-dev is already the newest version (3.2.1-7ubuntu4)", so it doesn't seem to know about 3.4 yet.
chriscalef
 
Posts: 236
Joined: Wed Feb 20, 2013 9:28 pm

Re: Compile error in Compositor.cxx, "resized" function.

Postby chriscalef » Fri Feb 22, 2019 2:23 am

I was actually considering to send you a heads-up, because I believe this work could be of interest to you given your previous work in related areas (e.g. the skybox server).


Btw thanks for that also, yeah funny how the second you think something isn't important right now, it turns out it is. :lol: That's interesting stuff right there in terms of skybox generators.
chriscalef
 
Posts: 236
Joined: Wed Feb 20, 2013 9:28 pm

Re: Compile error in Compositor.cxx, "resized" function.

Postby wkitty42 » Fri Feb 22, 2019 4:47 am

if your OS only offers (eg) OSG 3.2 and you are using the dnc script (download_and_compile.sh) on linux, you can tell it to also download OSG 3.4 from the OSG repo and build it on your system like it does with the rest of FG... i don't recall which version of OSG my ubuntu 14.04 offers but i've been building and using self-built OSG 3.4 from their repo for 2+ years... be warned that building OSG will take some time in the beginning or if you switch between release and debug builds... on my 8core 4Ghz machine, that's somewhere near 30 minutes for PLIB, OSG, SG, and FG with fgdata being updated, too...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 5031
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: Compile error in Compositor.cxx, "resized" function.

Postby chriscalef » Fri Feb 22, 2019 4:59 pm

Cool, looks like that worked. Thank you!
chriscalef
 
Posts: 236
Joined: Wed Feb 20, 2013 9:28 pm


Return to Compiling

Who is online

Users browsing this forum: No registered users and 1 guest